chroot configuration strictly depends on overlayfs

Bug #1696402 reported by Sergio Schvezov on 2017-06-07
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
click (Ubuntu)
Undecided
Unassigned
Yakkety
Undecided
Unassigned
Zesty
Undecided
Unassigned

Bug Description

The kernel changed the module name from overlayfs to overlay, this needs to be taken into consideration when creating the chroot.

[Impact]

When trying to create the chroot, it fails like this:
Processing triggers for sgml-base (1.26+nmu4ubuntu1) ...
E: 10mount: mount: wrong fs type, bad option, bad superblock on click-ubuntu-sdk-14.04-armhf,
E: 10mount: missing codepage or helper program, or other error
E: 10mount:
E: 10mount: In some cases useful info is found in syslog - try
E: 10mount: dmesg | tail or so.
E: click-ubuntu-sdk-14.04-armhf-06293574-400d-48f5-8eb2-b74b8af77b72: Chroot setup failed: stage=setup-start
Command returned 1: schroot -c click-ubuntu-sdk-14.04-armhf -- env DEB_HOST_ARCH_BITS=32 DEB_BUILD_ARCH=amd64 DEB_TARGET_ARCH_ENDIAN=little DEB_BUILD_ARCH_ABI
=base DEB_TARGET_ARCH_BITS=32 DEB_TARGET_ARCH_LIBC=gnu DEB_BUILD_GNU_SYSTEM=linux-gnu DEB_HOST_ARCH_OS=linux DEB_TARGET_MULTIARCH=arm-linux-gnueabihf DEB_TARG
ET_ARCH_OS=linux DEB_HOST_ARCH_LIBC=gnu DEB_BUILD_GNU_TYPE=x86_64-linux-gnu DEB_BUILD_ARCH_OS=linux DEB_TARGET_GNU_SYSTEM=linux-gnueabihf DEB_BUILD_ARCH_BITS=
64 DEB_HOST_ARCH_ABI=eabihf DEB_BUILD_GNU_CPU=x86_64 DEB_BUILD_ARCH_ENDIAN=little DEB_HOST_ARCH=armhf DEB_BUILD_ARCH_LIBC=gnu DEB_TARGET_GNU_TYPE=arm-linux-gn
ueabihf DEB_HOST_MULTIARCH=arm-linux-gnueabihf DEB_TARGET_GNU_CPU=arm DEB_HOST_GNU_TYPE=arm-linux-gnueabihf DEB_HOST_GNU_CPU=arm DEB_TARGET_ARCH_CPU=arm DEB_B
UILD_MULTIARCH=x86_64-linux-gnu DEB_HOST_GNU_SYSTEM=linux-gnueabihf DEB_TARGET_ARCH_ABI=eabihf DEB_TARGET_ARCH=armhf DEB_HOST_ARCH_ENDIAN=little DEB_HOST_ARCH
_CPU=arm DEB_BUILD_ARCH_CPU=amd64 cmake .. -DCLICK_MODE=on -DINSTALL_TESTS=off
ERROR

This makes the autopkgtests fail, so it's blocking bug #1693226.

[Test Case]

Run the click autopkgtests.
Check that there are no errors related to the wrong fs type.

[Regression Potential]

Fixing this for artful could make it fail in previous versions.
However, this was found by the autopkgtests, so as long as the chroot tests pass in the other revisions the fix is correct.

[Other Info]

Click is now longer in active development. These tests were failing for a long time. In here we are just trying to make a small change on the name of the python module so it doesn't conflict with python3-click which is in active development and needed by snapcraft in bug #1692102.

Related branches

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package click - 0.4.46+17.10.20170607.3-0ubuntu1

---------------
click (0.4.46+17.10.20170607.3-0ubuntu1) artful; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)
  * Use the correct overlayfs module name for the chroot configuration.
    (LP: #1696402)

 -- Sergio Schvezov <email address hidden> Wed, 07 Jun 2017 18:53:16 +0000

Changed in click (Ubuntu):
status: New → Fix Released
Leo Arias (elopio) on 2017-06-09
description: updated
description: updated
description: updated

Hello Sergio, or anyone else affected,

Accepted click into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/click/0.4.46+17.04.20170607.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in click (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed
Łukasz Zemczak (sil2100) wrote :

Hello Sergio, or anyone else affected,

Accepted click into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/click/0.4.46+16.10.20170607.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in click (Ubuntu Yakkety):
status: New → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Autopkgtests in -proposed passed for both series, considering this as verified.

tags: added: verification-done-yakkety verification-done-zesty
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package click - 0.4.46+17.04.20170607.3-0ubuntu1

---------------
click (0.4.46+17.04.20170607.3-0ubuntu1) zesty; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)
  * Use the correct overlayfs module name for the chroot configuration.
    (LP: #1696402)

 -- Sergio Schvezov <email address hidden> Wed, 07 Jun 2017 18:53:16 +0000

Changed in click (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for click has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package click - 0.4.46+16.10.20170607.3-0ubuntu1

---------------
click (0.4.46+16.10.20170607.3-0ubuntu1) yakkety; urgency=medium

  * Rename the python package this installs from click to click_package.
    (LP: #1693226)
  * Use the correct overlayfs module name for the chroot configuration.
    (LP: #1696402)

 -- Sergio Schvezov <email address hidden> Wed, 07 Jun 2017 18:53:16 +0000

Changed in click (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Leo Arias (elopio) wrote :

Thanks Lukasz.

Hi, I'm facing the same error when I try to build .deb package using cordova on Ubuntu-16.04. I have posted my query here (https://askubuntu.com/questions/964231/cordova-build-for-armhf-architecture-failed-overlayfs-mount-error).

With reference to this bug fix post, I tried to build package on Ubuntu-17.04 as well, but I get the same error.

The click package version in Ubuntu-17.04 is click - 0.4.46+17.04.20170607.3-0ubuntu1.

Ubuntu-17.04 related information:

user0044@ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 17.04
Release: 17.04
Codename: zesty
user0044@ubuntu:~$ node -v
v4.7.2
user0044@ubuntu:~$ npm -v
3.5.2
user0044@ubuntu:~$ cordova -v
7.0.1
user0044@ubuntu:~$

Thanks
Sureshkumar

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers